Index: code/branches/core6/src/modules/objects/triggers/EventTrigger.cc
===================================================================
--- code/branches/core6/src/modules/objects/triggers/EventTrigger.cc	(revision 9628)
+++ code/branches/core6/src/modules/objects/triggers/EventTrigger.cc	(revision 9629)
@@ -48,5 +48,5 @@
         The creator of the EventTrigger.
     */
-    EventTrigger::EventTrigger(BaseObject* creator) : Trigger(creator)
+    EventTrigger::EventTrigger(Context* context) : Trigger(context)
     {
         RegisterObject(EventTrigger);
Index: code/branches/core6/src/modules/objects/triggers/EventTrigger.h
===================================================================
--- code/branches/core6/src/modules/objects/triggers/EventTrigger.h	(revision 9628)
+++ code/branches/core6/src/modules/objects/triggers/EventTrigger.h	(revision 9629)
@@ -70,5 +70,5 @@
     {
         public:
-            EventTrigger(BaseObject* creator); // Constructor. Registers and initializes the object.
+            EventTrigger(Context* context); // Constructor. Registers and initializes the object.
             virtual ~EventTrigger();
 
Index: code/branches/core6/src/modules/objects/triggers/MultiTrigger.cc
===================================================================
--- code/branches/core6/src/modules/objects/triggers/MultiTrigger.cc	(revision 9628)
+++ code/branches/core6/src/modules/objects/triggers/MultiTrigger.cc	(revision 9629)
@@ -51,5 +51,5 @@
         The creator.
     */
-    MultiTrigger::MultiTrigger(BaseObject* creator) : TriggerBase(creator)
+    MultiTrigger::MultiTrigger(Context* context) : TriggerBase(context)
     {
         RegisterObject(MultiTrigger);
@@ -451,5 +451,5 @@
         }
 
-        MultiTriggerContainer* container = new MultiTriggerContainer(this, this, originator);
+        MultiTriggerContainer* container = new MultiTriggerContainer(this->getContext(), this, originator);
         this->fireEvent(status, container);
         orxout(verbose, context::triggers) << "MultiTrigger '" <<  this->getName() << "' (&" << this << "): Fired event. originator: " << originator->getIdentifier()->getName() << " (&" << originator << "), status: " << status << "." << endl;
Index: code/branches/core6/src/modules/objects/triggers/MultiTrigger.h
===================================================================
--- code/branches/core6/src/modules/objects/triggers/MultiTrigger.h	(revision 9628)
+++ code/branches/core6/src/modules/objects/triggers/MultiTrigger.h	(revision 9629)
@@ -99,5 +99,5 @@
     {
         public:
-            MultiTrigger(BaseObject* creator); //!< Constructor. Registers the objects and initializes default values.
+            MultiTrigger(Context* context); //!< Constructor. Registers the objects and initializes default values.
             virtual ~MultiTrigger(); //!< Destructor.
 
Index: code/branches/core6/src/modules/objects/triggers/MultiTriggerContainer.cc
===================================================================
--- code/branches/core6/src/modules/objects/triggers/MultiTriggerContainer.cc	(revision 9628)
+++ code/branches/core6/src/modules/objects/triggers/MultiTriggerContainer.cc	(revision 9629)
@@ -50,5 +50,5 @@
         The creator.
     */
-    MultiTriggerContainer::MultiTriggerContainer(BaseObject* creator) : BaseObject(creator), originator_(NULL), data_(NULL)
+    MultiTriggerContainer::MultiTriggerContainer(Context* context) : BaseObject(context), originator_(NULL), data_(NULL)
     {
         RegisterObject(MultiTriggerContainer);
@@ -65,5 +65,5 @@
         A pointer to the data that should be sent with the container.
     */
-    MultiTriggerContainer::MultiTriggerContainer(BaseObject* creator, MultiTrigger* originator, BaseObject* data) : BaseObject(creator), originator_(originator), data_(data)
+    MultiTriggerContainer::MultiTriggerContainer(Context* context, MultiTrigger* originator, BaseObject* data) : BaseObject(context), originator_(originator), data_(data)
     {
         RegisterObject(MultiTriggerContainer);
Index: code/branches/core6/src/modules/objects/triggers/MultiTriggerContainer.h
===================================================================
--- code/branches/core6/src/modules/objects/triggers/MultiTriggerContainer.h	(revision 9628)
+++ code/branches/core6/src/modules/objects/triggers/MultiTriggerContainer.h	(revision 9629)
@@ -58,6 +58,6 @@
 
         public:
-            MultiTriggerContainer(BaseObject* creator); //!< Default constructor. Registers the object and creates an empty container.
-            MultiTriggerContainer(BaseObject* creator, MultiTrigger* originator, BaseObject* data); //!< Constructor. Registers the object and sets the input values.
+            MultiTriggerContainer(Context* context); //!< Default constructor. Registers the object and creates an empty container.
+            MultiTriggerContainer(Context* context, MultiTrigger* originator, BaseObject* data); //!< Constructor. Registers the object and sets the input values.
             virtual ~MultiTriggerContainer(); //!< Destructor.
 
Index: code/branches/core6/src/modules/objects/triggers/Trigger.cc
===================================================================
--- code/branches/core6/src/modules/objects/triggers/Trigger.cc	(revision 9628)
+++ code/branches/core6/src/modules/objects/triggers/Trigger.cc	(revision 9629)
@@ -55,5 +55,5 @@
         The creator of the Trigger.
     */
-    Trigger::Trigger(BaseObject* creator) : TriggerBase(creator)
+    Trigger::Trigger(Context* context) : TriggerBase(context)
     {
         RegisterObject(Trigger);
Index: code/branches/core6/src/modules/objects/triggers/Trigger.h
===================================================================
--- code/branches/core6/src/modules/objects/triggers/Trigger.h	(revision 9628)
+++ code/branches/core6/src/modules/objects/triggers/Trigger.h	(revision 9629)
@@ -80,5 +80,5 @@
     {
         public:
-            Trigger(BaseObject* creator); // Constructor. Registers and initializes the object.
+            Trigger(Context* context); // Constructor. Registers and initializes the object.
             virtual ~Trigger();
 
Index: code/branches/core6/src/modules/objects/triggers/TriggerBase.cc
===================================================================
--- code/branches/core6/src/modules/objects/triggers/TriggerBase.cc	(revision 9628)
+++ code/branches/core6/src/modules/objects/triggers/TriggerBase.cc	(revision 9629)
@@ -52,5 +52,5 @@
         Constructor. Registers the object and initializes some values.
     */
-    TriggerBase::TriggerBase(BaseObject* creator) : StaticEntity(creator)
+    TriggerBase::TriggerBase(Context* context) : StaticEntity(context)
     {
         RegisterObject(TriggerBase);
Index: code/branches/core6/src/modules/objects/triggers/TriggerBase.h
===================================================================
--- code/branches/core6/src/modules/objects/triggers/TriggerBase.h	(revision 9628)
+++ code/branches/core6/src/modules/objects/triggers/TriggerBase.h	(revision 9629)
@@ -74,5 +74,5 @@
     {
         public:
-            TriggerBase(BaseObject* creator);
+            TriggerBase(Context* context);
             virtual ~TriggerBase();
 
Index: code/branches/core6/src/modules/overlays/FadeoutText.cc
===================================================================
--- code/branches/core6/src/modules/overlays/FadeoutText.cc	(revision 9628)
+++ code/branches/core6/src/modules/overlays/FadeoutText.cc	(revision 9629)
@@ -38,5 +38,5 @@
     CreateFactory(FadeoutText);
 
-    FadeoutText::FadeoutText(BaseObject* creator) : OverlayText(creator)
+    FadeoutText::FadeoutText(Context* context) : OverlayText(context)
     {
         RegisterObject(FadeoutText);
Index: code/branches/core6/src/modules/overlays/FadeoutText.h
===================================================================
--- code/branches/core6/src/modules/overlays/FadeoutText.h	(revision 9628)
+++ code/branches/core6/src/modules/overlays/FadeoutText.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            FadeoutText(BaseObject* creator);
+            FadeoutText(Context* context);
             virtual ~FadeoutText() {}
 
Index: code/branches/core6/src/modules/overlays/GUIOverlay.cc
===================================================================
--- code/branches/core6/src/modules/overlays/GUIOverlay.cc	(revision 9628)
+++ code/branches/core6/src/modules/overlays/GUIOverlay.cc	(revision 9629)
@@ -43,5 +43,5 @@
     CreateFactory(GUIOverlay);
 
-    GUIOverlay::GUIOverlay(BaseObject* creator) : OrxonoxOverlay(creator)
+    GUIOverlay::GUIOverlay(Context* context) : OrxonoxOverlay(context)
     {
         RegisterObject(GUIOverlay);
Index: code/branches/core6/src/modules/overlays/GUIOverlay.h
===================================================================
--- code/branches/core6/src/modules/overlays/GUIOverlay.h	(revision 9628)
+++ code/branches/core6/src/modules/overlays/GUIOverlay.h	(revision 9629)
@@ -41,5 +41,5 @@
         public:
 
-            GUIOverlay(BaseObject* creator);
+            GUIOverlay(Context* context);
             virtual ~GUIOverlay();
 
Index: code/branches/core6/src/modules/overlays/OverlayText.cc
===================================================================
--- code/branches/core6/src/modules/overlays/OverlayText.cc	(revision 9628)
+++ code/branches/core6/src/modules/overlays/OverlayText.cc	(revision 9629)
@@ -47,6 +47,6 @@
     BOOST_STATIC_ASSERT((int)Ogre::TextAreaOverlayElement::Right  == (int)OverlayText::Right);
 
-    OverlayText::OverlayText(BaseObject* creator)
-        : OrxonoxOverlay(creator)
+    OverlayText::OverlayText(Context* context)
+        : OrxonoxOverlay(context)
     {
         RegisterObject(OverlayText);
Index: code/branches/core6/src/modules/overlays/OverlayText.h
===================================================================
--- code/branches/core6/src/modules/overlays/OverlayText.h	(revision 9628)
+++ code/branches/core6/src/modules/overlays/OverlayText.h	(revision 9629)
@@ -49,5 +49,5 @@
         };
 
-        OverlayText(BaseObject* creator);
+        OverlayText(Context* context);
         virtual ~OverlayText();
 
Index: code/branches/core6/src/modules/overlays/debugging/DebugFPSText.cc
===================================================================
--- code/branches/core6/src/modules/overlays/debugging/DebugFPSText.cc	(revision 9628)
+++ code/branches/core6/src/modules/overlays/debugging/DebugFPSText.cc	(revision 9629)
@@ -37,5 +37,5 @@
     CreateFactory(DebugFPSText);
 
-    DebugFPSText::DebugFPSText(BaseObject* creator) : OverlayText(creator)
+    DebugFPSText::DebugFPSText(Context* context) : OverlayText(context)
     {
         RegisterObject(DebugFPSText);
Index: code/branches/core6/src/modules/overlays/debugging/DebugFPSText.h
===================================================================
--- code/branches/core6/src/modules/overlays/debugging/DebugFPSText.h	(revision 9628)
+++ code/branches/core6/src/modules/overlays/debugging/DebugFPSText.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
     public:
-        DebugFPSText(BaseObject* creator);
+        DebugFPSText(Context* context);
         virtual ~DebugFPSText();
 
Index: code/branches/core6/src/modules/overlays/debugging/DebugRTRText.cc
===================================================================
--- code/branches/core6/src/modules/overlays/debugging/DebugRTRText.cc	(revision 9628)
+++ code/branches/core6/src/modules/overlays/debugging/DebugRTRText.cc	(revision 9629)
@@ -37,5 +37,5 @@
     CreateFactory(DebugRTRText);
 
-    DebugRTRText::DebugRTRText(BaseObject* creator) : OverlayText(creator)
+    DebugRTRText::DebugRTRText(Context* context) : OverlayText(context)
     {
         RegisterObject(DebugRTRText);
Index: code/branches/core6/src/modules/overlays/debugging/DebugRTRText.h
===================================================================
--- code/branches/core6/src/modules/overlays/debugging/DebugRTRText.h	(revision 9628)
+++ code/branches/core6/src/modules/overlays/debugging/DebugRTRText.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
     public:
-        DebugRTRText(BaseObject* creator);
+        DebugRTRText(Context* context);
         virtual ~DebugRTRText();
 
Index: code/branches/core6/src/modules/overlays/hud/AnnounceMessage.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/AnnounceMessage.cc	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/AnnounceMessage.cc	(revision 9629)
@@ -36,5 +36,5 @@
     CreateFactory(AnnounceMessage);
 
-    AnnounceMessage::AnnounceMessage(BaseObject* creator) : FadeoutText(creator)
+    AnnounceMessage::AnnounceMessage(Context* context) : FadeoutText(context)
     {
         RegisterObject(AnnounceMessage);
Index: code/branches/core6/src/modules/overlays/hud/AnnounceMessage.h
===================================================================
--- code/branches/core6/src/modules/overlays/hud/AnnounceMessage.h	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/AnnounceMessage.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            AnnounceMessage(BaseObject* creator);
+            AnnounceMessage(Context* context);
             virtual ~AnnounceMessage() {}
 
Index: code/branches/core6/src/modules/overlays/hud/ChatOverlay.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/ChatOverlay.cc	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/ChatOverlay.cc	(revision 9629)
@@ -46,6 +46,6 @@
     CreateFactory(ChatOverlay);
 
-    ChatOverlay::ChatOverlay(BaseObject* creator)
-        : OverlayText(creator)
+    ChatOverlay::ChatOverlay(Context* context)
+        : OverlayText(context)
     {
         RegisterObject(ChatOverlay);
Index: code/branches/core6/src/modules/overlays/hud/ChatOverlay.h
===================================================================
--- code/branches/core6/src/modules/overlays/hud/ChatOverlay.h	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/ChatOverlay.h	(revision 9629)
@@ -43,5 +43,5 @@
     {
         public:
-            ChatOverlay(BaseObject* creator);
+            ChatOverlay(Context* context);
             virtual ~ChatOverlay();
 
Index: code/branches/core6/src/modules/overlays/hud/DeathMessage.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/DeathMessage.cc	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/DeathMessage.cc	(revision 9629)
@@ -36,5 +36,5 @@
     CreateFactory(DeathMessage);
 
-    DeathMessage::DeathMessage(BaseObject* creator) : FadeoutText(creator)
+    DeathMessage::DeathMessage(Context* context) : FadeoutText(context)
     {
         RegisterObject(DeathMessage);
Index: code/branches/core6/src/modules/overlays/hud/DeathMessage.h
===================================================================
--- code/branches/core6/src/modules/overlays/hud/DeathMessage.h	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/DeathMessage.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            DeathMessage(BaseObject* creator);
+            DeathMessage(Context* context);
             virtual ~DeathMessage() {}
 
Index: code/branches/core6/src/modules/overlays/hud/GametypeFadingMessage.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/GametypeFadingMessage.cc	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/GametypeFadingMessage.cc	(revision 9629)
@@ -36,5 +36,5 @@
     CreateFactory(GametypeFadingMessage);
 
-    GametypeFadingMessage::GametypeFadingMessage(BaseObject* creator) : FadeoutText(creator)
+    GametypeFadingMessage::GametypeFadingMessage(Context* context) : FadeoutText(context)
     {
         RegisterObject(GametypeFadingMessage);
Index: code/branches/core6/src/modules/overlays/hud/GametypeFadingMessage.h
===================================================================
--- code/branches/core6/src/modules/overlays/hud/GametypeFadingMessage.h	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/GametypeFadingMessage.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            GametypeFadingMessage(BaseObject* creator);
+            GametypeFadingMessage(Context* context);
             virtual ~GametypeFadingMessage();
 
Index: code/branches/core6/src/modules/overlays/hud/GametypeStaticMessage.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/GametypeStaticMessage.cc	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/GametypeStaticMessage.cc	(revision 9629)
@@ -39,5 +39,5 @@
 
 
-    GametypeStaticMessage::GametypeStaticMessage(BaseObject* creator) : OverlayText(creator)
+    GametypeStaticMessage::GametypeStaticMessage(Context* context) : OverlayText(context)
     {
         RegisterObject(GametypeStaticMessage);
Index: code/branches/core6/src/modules/overlays/hud/GametypeStaticMessage.h
===================================================================
--- code/branches/core6/src/modules/overlays/hud/GametypeStaticMessage.h	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/GametypeStaticMessage.h	(revision 9629)
@@ -43,5 +43,5 @@
     {
         public:
-            GametypeStaticMessage(BaseObject* creator);
+            GametypeStaticMessage(Context* context);
             virtual ~GametypeStaticMessage();
 
Index: code/branches/core6/src/modules/overlays/hud/HUDBar.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/HUDBar.cc	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/HUDBar.cc	(revision 9629)
@@ -47,6 +47,6 @@
     CreateFactory(BarColour);
 
-    BarColour::BarColour(BaseObject* creator)
-        : BaseObject(creator)
+    BarColour::BarColour(Context* context)
+        : BaseObject(context)
     {
         RegisterObject(BarColour);
@@ -67,6 +67,6 @@
     unsigned int HUDBar::materialcount_s = 0;
 
-    HUDBar::HUDBar(BaseObject* creator)
-        : OrxonoxOverlay(creator), right2Left_(false), autoColour_(false)
+    HUDBar::HUDBar(Context* context)
+        : OrxonoxOverlay(context), right2Left_(false), autoColour_(false)
     {
         RegisterObject(HUDBar);
Index: code/branches/core6/src/modules/overlays/hud/HUDBar.h
===================================================================
--- code/branches/core6/src/modules/overlays/hud/HUDBar.h	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/HUDBar.h	(revision 9629)
@@ -48,5 +48,5 @@
     {
     public:
-        BarColour(BaseObject* creator);
+        BarColour(Context* context);
         virtual ~BarColour() { }
 
@@ -68,5 +68,5 @@
     {
     public:
-        HUDBar(BaseObject* creator);
+        HUDBar(Context* context);
         virtual ~HUDBar();
 
Index: code/branches/core6/src/modules/overlays/hud/HUDBoostBar.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/HUDBoostBar.cc	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/HUDBoostBar.cc	(revision 9629)
@@ -37,6 +37,6 @@
     CreateFactory(HUDBoostBar);
 
-    HUDBoostBar::HUDBoostBar(BaseObject* creator)
-        : HUDBar(creator)
+    HUDBoostBar::HUDBoostBar(Context* context)
+        : HUDBar(context)
     {
         RegisterObject(HUDBoostBar);
Index: code/branches/core6/src/modules/overlays/hud/HUDBoostBar.h
===================================================================
--- code/branches/core6/src/modules/overlays/hud/HUDBoostBar.h	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/HUDBoostBar.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
     public:
-        HUDBoostBar(BaseObject* creator);
+        HUDBoostBar(Context* context);
         virtual ~HUDBoostBar();
 
Index: code/branches/core6/src/modules/overlays/hud/HUDEnemyHealthBar.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/HUDEnemyHealthBar.cc	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/HUDEnemyHealthBar.cc	(revision 9629)
@@ -36,5 +36,5 @@
     CreateFactory(HUDEnemyHealthBar);
 
-    HUDEnemyHealthBar::HUDEnemyHealthBar(BaseObject* creator) : HUDHealthBar(creator)
+    HUDEnemyHealthBar::HUDEnemyHealthBar(Context* context) : HUDHealthBar(context)
     {
         RegisterObject(HUDEnemyHealthBar);
Index: code/branches/core6/src/modules/overlays/hud/HUDEnemyHealthBar.h
===================================================================
--- code/branches/core6/src/modules/overlays/hud/HUDEnemyHealthBar.h	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/HUDEnemyHealthBar.h	(revision 9629)
@@ -37,5 +37,5 @@
     {
         public:
-            HUDEnemyHealthBar(BaseObject* creator);
+            HUDEnemyHealthBar(Context* context);
             virtual ~HUDEnemyHealthBar();
 
Index: code/branches/core6/src/modules/overlays/hud/HUDHealthBar.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/HUDHealthBar.cc	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/HUDHealthBar.cc	(revision 9629)
@@ -39,5 +39,5 @@
     CreateFactory(HUDHealthBar);
 
-    HUDHealthBar::HUDHealthBar(BaseObject* creator) : HUDBar(creator)
+    HUDHealthBar::HUDHealthBar(Context* context) : HUDBar(context)
     {
         RegisterObject(HUDHealthBar);
@@ -46,5 +46,5 @@
         this->bUseBarColour_ = false;
 
-        this->textoverlay_ = new OverlayText(this);
+        this->textoverlay_ = new OverlayText(this->getContext());
 
         assert(this->textoverlay_.get());
Index: code/branches/core6/src/modules/overlays/hud/HUDHealthBar.h
===================================================================
--- code/branches/core6/src/modules/overlays/hud/HUDHealthBar.h	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/HUDHealthBar.h	(revision 9629)
@@ -42,5 +42,5 @@
     {
         public:
-            HUDHealthBar(BaseObject* creator);
+            HUDHealthBar(Context* context);
             virtual ~HUDHealthBar();
 
Index: code/branches/core6/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/HUDNavigation.cc	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/HUDNavigation.cc	(revision 9629)
@@ -71,6 +71,6 @@
     HUDNavigation* HUDNavigation::localHUD_s = 0;
 
-    HUDNavigation::HUDNavigation(BaseObject* creator) :
-        OrxonoxOverlay(creator)
+    HUDNavigation::HUDNavigation(Context* context) :
+        OrxonoxOverlay(context)
     {
         RegisterObject(HUDNavigation)
Index: code/branches/core6/src/modules/overlays/hud/HUDNavigation.h
===================================================================
--- code/branches/core6/src/modules/overlays/hud/HUDNavigation.h	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/HUDNavigation.h	(revision 9629)
@@ -46,5 +46,5 @@
     {
         public:
-            HUDNavigation(BaseObject* creator);
+            HUDNavigation(Context* context);
             virtual ~HUDNavigation();
 
Index: code/branches/core6/src/modules/overlays/hud/HUDRadar.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/HUDRadar.cc	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/HUDRadar.cc	(revision 9629)
@@ -46,6 +46,6 @@
     CreateFactory(HUDRadar);
 
-    HUDRadar::HUDRadar(BaseObject* creator)
-        : OrxonoxOverlay(creator)
+    HUDRadar::HUDRadar(Context* context)
+        : OrxonoxOverlay(context)
     {
         RegisterObject(HUDRadar);
Index: code/branches/core6/src/modules/overlays/hud/HUDRadar.h
===================================================================
--- code/branches/core6/src/modules/overlays/hud/HUDRadar.h	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/HUDRadar.h	(revision 9629)
@@ -46,5 +46,5 @@
     {
     public:
-        HUDRadar(BaseObject* creator);
+        HUDRadar(Context* context);
         virtual ~HUDRadar();
 
Index: code/branches/core6/src/modules/overlays/hud/HUDSpeedBar.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/HUDSpeedBar.cc	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/HUDSpeedBar.cc	(revision 9629)
@@ -38,6 +38,6 @@
     CreateFactory(HUDSpeedBar);
 
-    HUDSpeedBar::HUDSpeedBar(BaseObject* creator)
-        : HUDBar(creator)
+    HUDSpeedBar::HUDSpeedBar(Context* context)
+        : HUDBar(context)
     {
         RegisterObject(HUDSpeedBar);
Index: code/branches/core6/src/modules/overlays/hud/HUDSpeedBar.h
===================================================================
--- code/branches/core6/src/modules/overlays/hud/HUDSpeedBar.h	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/HUDSpeedBar.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
     public:
-        HUDSpeedBar(BaseObject* creator);
+        HUDSpeedBar(Context* context);
         virtual ~HUDSpeedBar();
 
Index: code/branches/core6/src/modules/overlays/hud/HUDTimer.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/HUDTimer.cc	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/HUDTimer.cc	(revision 9629)
@@ -38,5 +38,5 @@
     CreateFactory(HUDTimer);
 
-    HUDTimer::HUDTimer(BaseObject* creator) : OverlayText(creator)
+    HUDTimer::HUDTimer(Context* context) : OverlayText(context)
     {
         RegisterObject(HUDTimer);
Index: code/branches/core6/src/modules/overlays/hud/HUDTimer.h
===================================================================
--- code/branches/core6/src/modules/overlays/hud/HUDTimer.h	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/HUDTimer.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
     public:
-        HUDTimer(BaseObject* creator);
+        HUDTimer(Context* context);
         virtual ~HUDTimer();
 
Index: code/branches/core6/src/modules/overlays/hud/KillMessage.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/KillMessage.cc	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/KillMessage.cc	(revision 9629)
@@ -36,5 +36,5 @@
     CreateFactory(KillMessage);
 
-    KillMessage::KillMessage(BaseObject* creator) : FadeoutText(creator)
+    KillMessage::KillMessage(Context* context) : FadeoutText(context)
     {
         RegisterObject(KillMessage);
Index: code/branches/core6/src/modules/overlays/hud/KillMessage.h
===================================================================
--- code/branches/core6/src/modules/overlays/hud/KillMessage.h	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/KillMessage.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            KillMessage(BaseObject* creator);
+            KillMessage(Context* context);
             virtual ~KillMessage() {}
 
Index: code/branches/core6/src/modules/overlays/hud/LastManStandingInfos.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/LastManStandingInfos.cc	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/LastManStandingInfos.cc	(revision 9629)
@@ -39,5 +39,5 @@
     CreateFactory(LastManStandingInfos);
 
-    LastManStandingInfos::LastManStandingInfos(BaseObject* creator) : OverlayText(creator)
+    LastManStandingInfos::LastManStandingInfos(Context* context) : OverlayText(context)
     {
         RegisterObject(LastManStandingInfos);
Index: code/branches/core6/src/modules/overlays/hud/LastManStandingInfos.h
===================================================================
--- code/branches/core6/src/modules/overlays/hud/LastManStandingInfos.h	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/LastManStandingInfos.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            LastManStandingInfos(BaseObject* creator);
+            LastManStandingInfos(Context* context);
             virtual ~LastManStandingInfos();
 
Index: code/branches/core6/src/modules/overlays/hud/LastTeamStandingInfos.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/LastTeamStandingInfos.cc	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/LastTeamStandingInfos.cc	(revision 9629)
@@ -39,5 +39,5 @@
     CreateFactory(LastTeamStandingInfos);
 
-    LastTeamStandingInfos::LastTeamStandingInfos(BaseObject* creator) : OverlayText(creator)
+    LastTeamStandingInfos::LastTeamStandingInfos(Context* context) : OverlayText(context)
     {
         RegisterObject(LastTeamStandingInfos);
Index: code/branches/core6/src/modules/overlays/hud/LastTeamStandingInfos.h
===================================================================
--- code/branches/core6/src/modules/overlays/hud/LastTeamStandingInfos.h	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/LastTeamStandingInfos.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            LastTeamStandingInfos(BaseObject* creator);
+            LastTeamStandingInfos(Context* context);
             virtual ~LastTeamStandingInfos();
 
Index: code/branches/core6/src/modules/overlays/hud/PauseNotice.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/PauseNotice.cc	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/PauseNotice.cc	(revision 9629)
@@ -36,5 +36,5 @@
     CreateFactory(PauseNotice);
 
-    PauseNotice::PauseNotice(BaseObject* creator) : OverlayText(creator)
+    PauseNotice::PauseNotice(Context* context) : OverlayText(context)
     {
         RegisterObject(PauseNotice);
Index: code/branches/core6/src/modules/overlays/hud/PauseNotice.h
===================================================================
--- code/branches/core6/src/modules/overlays/hud/PauseNotice.h	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/PauseNotice.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            PauseNotice(BaseObject* creator);
+            PauseNotice(Context* context);
 
             virtual void changedOwner();
Index: code/branches/core6/src/modules/overlays/hud/TeamBaseMatchScore.cc
===================================================================
--- code/branches/core6/src/modules/overlays/hud/TeamBaseMatchScore.cc	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/TeamBaseMatchScore.cc	(revision 9629)
@@ -39,5 +39,5 @@
     CreateFactory(TeamBaseMatchScore);
 
-    TeamBaseMatchScore::TeamBaseMatchScore(BaseObject* creator) : OverlayText(creator)
+    TeamBaseMatchScore::TeamBaseMatchScore(Context* context) : OverlayText(context)
     {
         RegisterObject(TeamBaseMatchScore);
Index: code/branches/core6/src/modules/overlays/hud/TeamBaseMatchScore.h
===================================================================
--- code/branches/core6/src/modules/overlays/hud/TeamBaseMatchScore.h	(revision 9628)
+++ code/branches/core6/src/modules/overlays/hud/TeamBaseMatchScore.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            TeamBaseMatchScore(BaseObject* creator);
+            TeamBaseMatchScore(Context* context);
             virtual ~TeamBaseMatchScore();
 
